Ask Your Question
1

Howto install latest Scribus

asked 2017-07-17 09:37:01 -0500

wexfordpress gravatar image

updated 2017-07-17 11:52:16 -0500

hhlp gravatar image

Downloaded and attempted to unpack this passage using rpm -: on Ferdora 26 scribus-1.5.3-27.2.x86_64.rpm

Got these messages:

warning: scribus-1.5.3-27.2.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID 4027f8ae: NOKEY
error: Failed dependencies:
    libOpenThreads.so.20()(64bit) is needed by scribus-1.5.3-27.2.x86_64
    libosg.so.130()(64bit) is needed by scribus-1.5.3-27.2.x86_64
    libosgDB.so.130()(64bit) is needed by scribus-1.5.3-27.2.x86_64
    libosgGA.so.130()(64bit) is needed by scribus-1.5.3-27.2.x86_64
    libosgText.so.130()(64bit) is needed by scribus-1.5.3-27.2.x86_64
    libosgUtil.so.130()(64bit) is needed by scribus-1.5.3-27.2.x86_64
    libosgViewer.so.130()(64bit) is needed by scribus-1.5.3-27.2.x86_64
[
edit retag flag offensive close merge delete

Comments

Open a bugzilla report!! https://bugzilla.redhat.com

davidva gravatar imagedavidva ( 2017-07-17 12:23:34 -0500 )edit

Open a Bugzilla report... https://bugzilla.redhat.com

davidva gravatar imagedavidva ( 2017-07-17 12:23:57 -0500 )edit

Don't open a bugzilla report. That is not a Fedora package. Where did you get it from?

ssieb gravatar imagessieb ( 2017-07-17 17:48:43 -0500 )edit

@Samuel Sieb, the best choise is report it... You are wrong!

davidva gravatar imagedavidva ( 2017-07-19 03:35:43 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
1

answered 2017-07-17 12:34:16 -0500

ozeszty gravatar image

I don't know where have you downloaded this package from. I'm using this Copr repository: https://copr.fedorainfracloud.org/cop...

You can enable it by executing as root

dnf copr enable luya/scribus

and then install scribus

dnf install scribus

1.5.3 is a development release, but it has some nice new features. Last time I had some DTP work to do, I didn't have any issues with it.

edit flag offensive delete link more
0

answered 2017-07-17 17:50:44 -0500

ssieb gravatar image

Aside from the other answer and comments, don't install an RPM package directly with rpm because that won't resolve any dependencies. Use dnf install myfile.rpm instead.

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2017-07-17 09:37:01 -0500

Seen: 728 times

Last updated: Jul 17 '17